<div class="main-login">
  <div class="main-box">
    <div class="login-title">
      <div>LOGIN</div>
    </div>

    <div class="input-form">
      <mat-form-field appearance="fill">
        <mat-label>Usuário</mat-label>
        <input matInput [formControl]="name" required />
        <mat-error *ngIf="name.invalid">{{ getErrorMessage() }}</mat-error>
      </mat-form-field>
      <br />
      <mat-form-field appearance="fill">
        <mat-label>Senha</mat-label>
        <input type="password" matInput [formControl]="password" required />
        <mat-error *ngIf="password.invalid">{{ getPasswordError() }}</mat-error>
      </mat-form-field>
    </div>

    <button
      (click)="onClick()"
      class="login-button"
      mat-flat-button
      color="primary"
    >
      ENTRAR
    </button>
    <button (click)="exit()" class="exit-button">
      <img src="../../assets/cancel.svg" alt="menu" />
    </button>
  </div>
</div>
